import { babel } from '@rollup/plugin-babel';
import { terser } from 'rollup-plugin-terser';

export default [
    {
        input: 'src/AnimateCompositionLoader.js',
        output: {
            file: 'dist/preloadjs-animate-composition-loader.esm.js',
            format: 'es'
        }
    },
	{
	  input: 'src/AnimateCompositionLoader.js',
	  output: {
			file: 'dist/preloadjs-animate-composition-loader.js',
			format: 'umd',
			name: 'preloadjs-animate-composition-loader',
			sourcemap: true
		},
	  plugins: [
		  babel( { babelHelpers: 'bundled' } ),
			terser()
		]
	}
];
